
Name:       perl-Net-SNMP
Version:    v6.0.1
Release:    1%{?dist}.anvil
License:    CHECK(GPL+ or Artistic)
Group:      Development/Libraries
Summary:    Object oriented interface to SNMP
Source:     http://search.cpan.org/CPAN/authors/id/D/DT/DTOWN/Net-SNMP-%{version}.tar.gz
Url:        http://search.cpan.org/dist/Net-SNMP
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch
Requires: perl(Carp)
Requires: perl(Crypt::DES) >= 2.03
Requires: perl(Digest::HMAC) >= 1.00
Requires: perl(Digest::MD5) >= 2.11
Requires: perl(Digest::SHA1) >= 1.02
Requires: perl(Errno)
Requires: perl(IO::Socket)
Requires: perl(Math::BigInt)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::DES) >= 2.03
BuildRequires: perl(Digest::HMAC) >= 1.00
BuildRequires: perl(Digest::MD5) >= 2.11
BuildRequires: perl(Digest::SHA1) >= 1.02
BuildRequires: perl(Errno)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Math::BigInt)


%description
The Net::SNMP module abstracts the intricate details of the Simple Network
Management Protocol by providing a high level programming interface to the
protocol. Each Net::SNMP object provides a one-to-one mapping between a
Perl object and a remote SNMP agent or manager. Once an object is created,
it can be used to perform the basic protocol exchange actions defined by
SNMP.

A Net::SNMP object can be created such that it has either "blocking" or
"non-blocking" properties. By default, the methods used to send SNMP
messages do not return until the protocol exchange has completed
successfully or a timeout period has expired. This behavior gives the
object a "blocking" property because the flow of the code is stopped until
the method returns.

The optional named argument *-nonblocking* can be passed to the object
constructor with a true value to give the object "non-blocking" behavior. A
method invoked by a non-blocking object queues the SNMP message and returns
immediately, allowing the flow of the code to continue. The queued SNMP
messages are not sent until an event loop is entered by calling the
'snmp_dispatcher()' method. When the SNMP messages are sent, any response
to the messages invokes the subroutine defined by the user when the message
was originally queued. The event loop exits when all messages have been
removed from the queue by either receiving a response, or by exceeding the
number of retries at the Transport Layer.

Rebuilt for the Anvil! HA platform.

%prep
%setup -q -n Net-SNMP-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor INSTALLVENDORLIB=%{perl_vendorlib} INSTALLVENDORMAN3DIR=%{_mandir}/man3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE Changes README
%{_bindir}/snmpkey
%{perl_vendorlib}/*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%changelog
* Fri Dec 26 2014 %{packager} v6.0.1-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.6)
